wxWidgets: wxRichTextFormattingDialogFactory Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxRichTextFormattingDialogFactory Class Reference
Class List by Category » Rich Text

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/richtext/richtextformatdlg.h>`

Inheritance diagram for wxRichTextFormattingDialogFactory:
[legend]

## Detailed Description

This class provides pages for wxRichTextFormattingDialog, and allows other customization of the dialog.

A default instance of this class is provided automatically. If you wish to change the behaviour of the formatting dialog (for example add or replace a page), you may derive from this class, override one or more functions, and call the static function wxRichTextFormattingDialog::SetFormattingDialogFactory.

##

Library: wxRichText
Category: Rich Text

## Public Member Functions
| wxRichTextFormattingDialogFactory ()
| Constructor.
virtual | ~wxRichTextFormattingDialogFactory ()
| Destructor.
virtual bool | CreateButtons (wxRichTextFormattingDialog *dialog)
| Creates the main dialog buttons.
virtual wxPanel * | CreatePage (int page, wxString &title, wxRichTextFormattingDialog *dialog)
| Creates a page, given a page identifier.
virtual bool | CreatePages (long pages, wxRichTextFormattingDialog *dialog)
| Creates all pages under the dialog's book control, also calling AddPage().
virtual int | GetPageId (int i) const
| Enumerate all available page identifiers.
virtual int | GetPageIdCount () const
| Gets the number of available page identifiers.
virtual int | GetPageImage (int id) const
| Gets the image index for the given page identifier.
virtual bool | SetSheetStyle (wxRichTextFormattingDialog *dialog)
| Set the property sheet style, called at the start of wxRichTextFormattingDialog::Create.
virtual bool | ShowHelp (int page, wxRichTextFormattingDialog *dialog)
| Invokes help for the dialog.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxRichTextFormattingDialogFactory()

wxRichTextFormattingDialogFactory::wxRichTextFormattingDialogFactory | ( |  | ) |

Constructor.

## ◆ ~wxRichTextFormattingDialogFactory()

virtual wxRichTextFormattingDialogFactory::~wxRichTextFormattingDialogFactory | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ CreateButtons()

virtual bool wxRichTextFormattingDialogFactory::CreateButtons | ( | wxRichTextFormattingDialog * | dialog | ) |
| virtual

Creates the main dialog buttons.

## ◆ CreatePage()

virtual wxPanel * wxRichTextFormattingDialogFactory::CreatePage | ( | int | page,
|  | wxString & | title,
|  | wxRichTextFormattingDialog * | dialog )
| virtual

Creates a page, given a page identifier.

## ◆ CreatePages()

virtual bool wxRichTextFormattingDialogFactory::CreatePages | ( | long | pages,
|  | wxRichTextFormattingDialog * | dialog )
| virtual

Creates all pages under the dialog's book control, also calling AddPage().

## ◆ GetPageId()

virtual int wxRichTextFormattingDialogFactory::GetPageId | ( | int | i | ) | const
| virtual

Enumerate all available page identifiers.

## ◆ GetPageIdCount()

virtual int wxRichTextFormattingDialogFactory::GetPageIdCount | ( |  | ) | const
| virtual

Gets the number of available page identifiers.

## ◆ GetPageImage()

virtual int wxRichTextFormattingDialogFactory::GetPageImage | ( | int | id | ) | const
| virtual

Gets the image index for the given page identifier.

## ◆ SetSheetStyle()

virtual bool wxRichTextFormattingDialogFactory::SetSheetStyle | ( | wxRichTextFormattingDialog * | dialog | ) |
| virtual

Set the property sheet style, called at the start of wxRichTextFormattingDialog::Create.

## ◆ ShowHelp()

virtual bool wxRichTextFormattingDialogFactory::ShowHelp | ( | int | page,
|  | wxRichTextFormattingDialog * | dialog )
| virtual

Invokes help for the dialog.